Summary: The GNU Image Manipulation Program
Name: gimp
Version: 1.0.1
Release: 2
Copyright: GPL, LGPL
Group: X11/Applications/Graphics
Url: http://www.gimp.org/
Source0: ftp://ftp.gimp.org/pub/gimp/v1.0/v%{PACKAGE_VERSION}/gimp-%{PACKAGE_VERSION}.tar.gz
Source1: gimp.wmconfig
Source2: wilbur.xpm
Source3: mini-wilbur.xpm
Buildroot: /var/tmp/gimp-root
Obsoletes: gimp-data-min
Requires: gtk+ >= 1.0.1
%define ver      %{PACKAGE_VERSION}
%define rel      %{PACKAGE_RELEASE}
Summary(fr): Le programme de manipulation d'images de GNU.
Summary(de): Das GNU-Bildbearbeitungs-Programm
Summary(tr): izim, boyama ve grnt ileme program
Requires: gimp-libgimp = %{PACKAGE_VERSION}

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

%package devel
Summary: GIMP plugin and extension development kit
Group: X11/Applications/Graphics
Requires: gtk+-devel
Prereq: /sbin/install-info
Summary(fr): Plugin GIMP et kit de dveloppement d'extensions
Summary(de): GIMP-Plugin und Extension Development Kit
Summary(tr): GIMP plugin ve uzant gelitirme aralar
Requires: gimp-libgimp = %{PACKAGE_VERSION}

%description devel
Static libraries and header files for writing GIMP plugins and extensions.

%description -l fr devel
Libraries statiques et fichiers d'en-tte pour ecrire des plugins et
des extensions pour GIMP.

%description -l de devel
Statische Libraries und Header-Dateien zum Schreiben von
GIMP-Plugins und -Erweiterungen

%description -l tr devel
GIMP plugin ve uzant yazmak iin gereken kitaplklar ve balk dosyalar

%package libgimp
Summary: GIMP libraries
Group: X11/Applications/Graphics
Copyright: LGPL
Summary(fr): Librairies pour gimp.
Summary(de): GIMP-Libraries
Summary(tr): GIMP kitaplklar
Prereq: /sbin/ldconfig

%description libgimp
Libraries used to communicate between The GIMP and other programs which
may function as "GIMP plugins".

%prep
%setup -q

%build
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=/usr
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

#cd docs
#make
#cd ..

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/info $RPM_BUILD_ROOT/usr/include \
	$RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/bin \
	$RPM_BUILD_ROOT/etc/X11/wmconfig \
	$RPM_BUILD_ROOT/usr/share/icons/mini
make prefix=$RPM_BUILD_ROOT/usr install
#cd docs
#make prefix=$RPM_BUILD_ROOT/usr install
#gzip -9 $RPM_BUILD_ROOT/usr/info/*
strip $RPM_BUILD_ROOT/usr/bin/gimp
install $RPM_SOURCE_DIR/gimp.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/gimp
install $RPM_SOURCE_DIR/wilbur.xpm $RPM_BUILD_ROOT/usr/share/icons/
install $RPM_SOURCE_DIR/mini-wilbur.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
#/sbin/install-info --section="GIMP" --entry="* PDB: (pdb).          The GIMP procedural database." /usr/info/pdb.info.gz /usr/info/dir

%post libgimp -p /sbin/ldconfig

%postun libgimp -p /sbin/ldconfig

%preun devel
#if [ $1 = 0 ]; then
#   /sbin/install-info --delete --section="GIMP" --entry="* PDB: (pdb).          The GIMP procedural database." /usr/info/pdb.info.gz /usr/info/dir
#fi

%files
%defattr(-, root, root)
%attr(644, root, root) %config /etc/X11/wmconfig/gimp
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc docs/*.txt docs/*.eps docs/*.ps
/usr/share/gimp
/usr/bin/gimp
/usr/lib/gimp
/usr/man/*/*
/usr/share/icons/mini/*.xpm
/usr/share/icons/*.xpm

%files devel
%defattr(-, root, root)
/usr/bin/gimptool
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so
/usr/include/*
#/usr/info/pdb.info*
/usr/share/aclocal/*

%files libgimp
%defattr(-,root,root)
%attr(755,root,root) /usr/lib/lib*.so*

%changelog
* Tue Sep 29 1998 Cristian Gafton <gafton@redhat.com>
- added gimp.m4 to the %files list
- updated to 1.0.1; enable again libgimp sub-package
- packaged for 5.2
- use defattr on the files list
- added the xpm files back to the srpm

* Thu Sep 10 1998 Michael Fulbright <msf@redhat.com>
- updated to version 1.0

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for fr, de, tr

* Sat May 09 1998 Erik Troan <ewt@redhat.com>
- define %ver and %rel from the Release: and Version: tags rather then the
  other way around (this way allows automated tools to increment the release
  number)
- added -q to %setup

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>
- requires gtk+ >= 1.0.1 now

* Mon Apr 20 1998 Marc Ewing <marc@redhat.com>
- include *.xpm and .wmconfig in CVS source
- removed explicit glibc require

* Thu Apr 16 1998 Marc Ewing <marc@redhat.com>
- Handle builds using autogen.sh
- SMP builds
- put in CVS, and tweak for automatic CVS builds

* Sun Apr 12 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.26

* Sat Apr 11 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.25

* Wed Apr 08 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to version 0.99.24

* Sun Apr 05 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Stop building the docs - they require emacs and
  (even worse), you must run X.

* Fri Mar 27 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.23

* Sat Mar 21 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- No longer requires xdelta, that was a bug on my part
- spec cleanup, changed libgimp copyright, can now be
  built by non-root users, removed some lines in the description

* Fri Mar 20 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.22

* Sun Mar 15 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.21

* Thu Mar 12 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.20

* Mon Mar 09 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Recompiled with gtk+ 0.99.5
- Now requires gtk+ >= 0.99.5 instead of gtk+ 0.99.4

